package at.ac.uibk.gitsearch.repository.search;

import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.context.annotation.Configuration;

/**
 * Configure a Mock version of {@link WatchListEntrySearchRepository} to test the
 * application without starting Elasticsearch.
 */
@Configuration
public class WatchListEntrySearchRepositoryMockConfiguration {

    @MockBean
    private WatchListEntrySearchRepository mockWatchListEntrySearchRepository;
}
