package at.ac.uibk.gitsearch.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import at.ac.uibk.gitsearch.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class SavedSearchesDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(SavedSearchesDTO.class);
        SavedSearchesDTO savedSearchesDTO1 = new SavedSearchesDTO();
        savedSearchesDTO1.setId(1L);
        SavedSearchesDTO savedSearchesDTO2 = new SavedSearchesDTO();
        assertThat(savedSearchesDTO1).isNotEqualTo(savedSearchesDTO2);
        savedSearchesDTO2.setId(savedSearchesDTO1.getId());
        assertThat(savedSearchesDTO1).isEqualTo(savedSearchesDTO2);
        savedSearchesDTO2.setId(2L);
        assertThat(savedSearchesDTO1).isNotEqualTo(savedSearchesDTO2);
        savedSearchesDTO1.setId(null);
        assertThat(savedSearchesDTO1).isNotEqualTo(savedSearchesDTO2);
    }
}
