import { Person } from '../person.model';
import { IInteractivityType } from '../exercise.model';

export interface UserProvidedMetadataDTO {
  assesses: string[];
  audience: string;
  contributor: Person[];
  creator: Person[];
  description: string;
  difficulty: string;
  educationalAlignment: string;
  educationalFramework: string;
  educationalLevel: string[];
  educationalUse: string[];
  format: string[];
  identifier: string;
  interactivityType: IInteractivityType;
  isBasedOn: string[];
  image: string;
  keyword: string[];
  language: string[];
  learningResourceType: string;
  license: string;
  metadataVersion: string;
  programmingLanguage: string[];
  publisher: Person[];
  requires: string[];
  status: string;
  structure: string;
  subject: string[];
  teaches: string[];
  timeRequired: string;
  title: string;
  typicalAgeRange: string;
  version: string;
}
